Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Class DefaultDatatypeManager

    java.lang.Object
      org.apache.cocoon.forms.datatype.DefaultDatatypeManager

All Implemented Interfaces:
  DatatypeManager

public class DefaultDatatypeManager
extends Object
implements DatatypeManager

Implementation of the `DatatypeManager` component.

It supports an extensible number of datatype and validation rule implementations by delegating the creation of them to `DatatypeBuilder`s and `ValidationRuleBuilder`s. Currently the list of datatype and validationrule builders is hardcoded, but this will become externally configurable in the future.

Version:
  $Id: DefaultDatatypeManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.datatype.DatatypeManager
`ROLE`

Constructor Summary
`DefaultDatatypeManager()`

Method Summary
`Convertor` | `createConvertor(String dataTypeName, Element convertorElement)` Creates a convertor based on an XML description.
`Datatype` | `createDatatype(Element datatypeElement, boolean arrayType)` Creates a datatype from an XML description.
`ValidationRule` | `createValidationRule(Element validationRuleElement)` Creates a validation rule from an XML description.
`void` | `setDatatypeBuilders(Map datatypeBuilders)`
`void` | `setValidatorRuleBuilders(Map validatorRuleBuilders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDatatypeManager

    public DefaultDatatypeManager()

Method Detail

### createDatatype

    public Datatype createDatatype(Element datatypeElement,
                                   boolean arrayType)
                            throws Exception

  Description copied from interface: `DatatypeManager`
  Creates a datatype from an XML description.

  Specified by:
    `createDatatype` in interface `DatatypeManager`
  Throws:
    `Exception`

### createValidationRule

    public ValidationRule createValidationRule(Element validationRuleElement)
                                        throws Exception

  Description copied from interface: `DatatypeManager`
  Creates a validation rule from an XML description. This will usually be used by the `DatatypeBuilder`s while building a `Datatype`.

  Specified by:
    `createValidationRule` in interface `DatatypeManager`
  Throws:
    `Exception`

### createConvertor

    public Convertor createConvertor(String dataTypeName,
                                     Element convertorElement)
                              throws Exception

  Description copied from interface: `DatatypeManager`
  Creates a convertor based on an XML description.

  Specified by:
    `createConvertor` in interface `DatatypeManager`
  Throws:
    `Exception`

### setDatatypeBuilders

    public void setDatatypeBuilders(Map datatypeBuilders)

### setValidatorRuleBuilders

    public void setValidatorRuleBuilders(Map validatorRuleBuilders)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.